Loading...
Searching...
No Matches
SamValidationError Class Reference

The SamValidationError class describes a validation error that occured, containing the error type, severity, and textual error message. More...

`#include <SamValidation.h>`

## Public Types

enum | Severity { WARNING , ERROR }
| Severity of the error. More...
enum | Type { INVALID_QNAME , INVALID_REF_ID , INVALID_RNAME , INVALID_POS , INVALID_MAPQ , INVALID_CIGAR , INVALID_MRNM , INVALID_QUAL , INVALID_TAG }
| Type of the error. More...

## Public Member Functions

| SamValidationError (Type type, Severity severity, std::string Message)
| Constructor that sets the type, severity, and message for the validation error.
Type | getType () const
| Return the type enum of this validation error object.
Severity | getSeverity () const
| Return the severity enum of this validation error object.
const char * | getMessage () const
| Return the error message of this validation error object.
const char * | getTypeString () const
| Return the string representing this object's type of validation error.
const char * | getSeverityString () const
| Return the string representing this object's severity of validation error.
void | getErrorString (std::string &errorString) const
| Get the error string representing this object's error.
void | printError () const
| Print a formatted output of the error to cerr.

## Static Public Member Functions

static const char * | getTypeString (Type type)
| Get the string representing the specified type of validation error.

## Detailed Description

The SamValidationError class describes a validation error that occured, containing the error type, severity, and textual error message.

Definition at line 34 of file SamValidation.h.

## Member Enumeration Documentation

## Severity

enum SamValidationError::Severity

Severity of the error.

Enumerator
WARNING | Warning is used if it is just an invalid value.
ERROR | Error is used if parsing could not succeed.

Definition at line 38 of file SamValidation.h.

{
WARNING, ///< Warning is used if it is just an invalid value.
ERROR ///< Error is used if parsing could not succeed.
};
SamValidationError::WARNING
@ WARNING
Warning is used if it is just an invalid value.
Definition SamValidation.h:40
SamValidationError::ERROR
@ ERROR
Error is used if parsing could not succeed.
Definition SamValidation.h:41

## Type

enum SamValidationError::Type

Type of the error.

TODO: NOT ALL INVALID TYPES HAVE BEEN ADDED SINCE NOT ALL VALIDATION IS COMPLETE YET

Enumerator
INVALID_QNAME | Invalid read/query name.
INVALID_REF_ID | Invalid reference id.
INVALID_RNAME | Invalid reference name.
INVALID_POS | Invalid position.
INVALID_MAPQ | Invalid mapping quality.
INVALID_CIGAR | Invalid CIGAR.
INVALID_MRNM | Invalid mate/next fragment reference name.
INVALID_QUAL | Invalid base quality.
INVALID_TAG | Invalid tag.

Definition at line 47 of file SamValidation.h.

{
INVALID_QNAME, ///< Invalid read/query name
INVALID_REF_ID, ///< Invalid reference id
INVALID_RNAME, ///< Invalid reference name
INVALID_POS, ///< Invalid position
INVALID_MAPQ, ///< Invalid mapping quality
INVALID_CIGAR, ///< Invalid CIGAR
INVALID_MRNM, ///< Invalid mate/next fragment reference name
INVALID_QUAL, ///< Invalid base quality
INVALID_TAG ///< Invalid tag
};
SamValidationError::INVALID_REF_ID
@ INVALID_REF_ID
Invalid reference id.
Definition SamValidation.h:50
SamValidationError::INVALID_TAG
@ INVALID_TAG
Invalid tag.
Definition SamValidation.h:57
SamValidationError::INVALID_QNAME
@ INVALID_QNAME
Invalid read/query name.
Definition SamValidation.h:49
SamValidationError::INVALID_MRNM
@ INVALID_MRNM
Invalid mate/next fragment reference name.
Definition SamValidation.h:55
SamValidationError::INVALID_CIGAR
@ INVALID_CIGAR
Invalid CIGAR.
Definition SamValidation.h:54
SamValidationError::INVALID_MAPQ
@ INVALID_MAPQ
Invalid mapping quality.
Definition SamValidation.h:53
SamValidationError::INVALID_POS
@ INVALID_POS
Invalid position.
Definition SamValidation.h:52
SamValidationError::INVALID_RNAME
@ INVALID_RNAME
Invalid reference name.
Definition SamValidation.h:51
SamValidationError::INVALID_QUAL
@ INVALID_QUAL
Invalid base quality.
Definition SamValidation.h:56

## Constructor & Destructor Documentation

## SamValidationError()

SamValidationError::SamValidationError | ( | Type | type,
|  | Severity | severity,
|  | std::string | Message
| ) |  |

Constructor that sets the type, severity, and message for the validation error.

Definition at line 45 of file SamValidation.cpp.

{
myType = type;
mySeverity = severity;
myMessage = message;
}

References SamValidationError().

Referenced by SamValidationError().

## Member Function Documentation

## getErrorString()

void SamValidationError::getErrorString | ( | std::string & | errorString | ) | const

Get the error string representing this object's error.

Definition at line 84 of file SamValidation.cpp.

{
errorString = getTypeString();
errorString += " (";
errorString += getSeverityString();
errorString += ") : ";
errorString += getMessage();
errorString += "\n";
}
SamValidationError::getSeverityString
const char * getSeverityString() const
Return the string representing this object's severity of validation error.
Definition SamValidation.cpp:78
SamValidationError::getMessage
const char * getMessage() const
Return the error message of this validation error object.
Definition SamValidation.cpp:66
SamValidationError::getTypeString
const char * getTypeString() const
Return the string representing this object's type of validation error.
Definition SamValidation.cpp:72

References getMessage(), getSeverityString(), and getTypeString().

## getMessage()

const char * SamValidationError::getMessage | ( |  | ) | const

Return the error message of this validation error object.

Definition at line 66 of file SamValidation.cpp.

{
return(myMessage.c_str());
}

Referenced by getErrorString().

## getSeverity()

SamValidationError::Severity SamValidationError::getSeverity | ( |  | ) | const

Return the severity enum of this validation error object.

Definition at line 60 of file SamValidation.cpp.

{
return(mySeverity);
}

## getSeverityString()

const char * SamValidationError::getSeverityString | ( |  | ) | const

Return the string representing this object's severity of validation error.

Definition at line 78 of file SamValidation.cpp.

{
return(enumSeverityString[mySeverity]);
}

Referenced by getErrorString().

## getType()

SamValidationError::Type SamValidationError::getType | ( |  | ) | const

Return the type enum of this validation error object.

Definition at line 54 of file SamValidation.cpp.

{
return(myType);
}

## getTypeString() [1/2]

const char * SamValidationError::getTypeString | ( |  | ) | const

Return the string representing this object's type of validation error.

Definition at line 72 of file SamValidation.cpp.

{
return(enumTypeString[myType]);
}

Referenced by getErrorString().

## getTypeString() [2/2]

const char * SamValidationError::getTypeString | ( | Type | type | ) |

static

Get the string representing the specified type of validation error.

Definition at line 39 of file SamValidation.cpp.

{
return(enumTypeString[type]);
}

## printError()

void SamValidationError::printError | ( |  | ) | const

Print a formatted output of the error to cerr.

Definition at line 95 of file SamValidation.cpp.

{
std::cerr << this;
}

The documentation for this class was generated from the following files:

- bam/SamValidation.h
- bam/SamValidation.cpp